/*
 * Heading for the WMF drawing device for tksesh
 * This device allows one to draw on a metafile
 */

/*  2000 Serge Rosmorduc,
 * quipe EC.art, Laboratoire LRIA, Universit de Paris 8
 *
 * 15 rue Catulienne
 * 93236 St Denis Cedex
 * FRANCE
 *
 * Tout droits rservs.
 * 
 * voyez le fichier ../LICENCE.txt pour plus d'informations
 * See the ../LICENCEE.txt file for more information
 *
 * $Id: TKSO_WMF.h,v 1.1.1.1 2002/04/16 13:55:00 rosmord Exp $
 *
 */

/*
 * $Log: TKSO_WMF.h,v $
 * Revision 1.1.1.1  2002/04/16 13:55:00  rosmord
 * Imported using tkCVS
 *
 * Revision 1.2  2000/08/23 08:34:05  rosmord
 * SESHfixed suppressed.
 *
 * Revision 1.1  2000/08/04 11:51:35  rosmord
 * Initial revision
 *
 */

#ifndef TKSO_WMF_H
#define TKSO_WMF_H

#include "tgraph.h"
/* #include "wmf.h"*/

typedef struct TKSO_WMF_S {
	TKSESH_output header;
	struct WMF * wmf;
} TKSO_WMF;

/* 
 * tkso_wmf_init --
 * Creates a new output corresponding to a tk window 
*/

TKSO_WMF *
TKSO_WMF_init(FILE *,
							double x1, double y1,
							double x2, double y2, double scale);

void
TKSO_WMF_free(TKSO_WMF *o);

#endif

/* Let's preserve the present presentation
 * Local Variables:
 * tab-width: 2
 * c-block-comments-indent-p: nil
 * End:
 */
