
#ifndef BIG_STRING
#define BIG_STRING
#include <stdlib.h>

#include "duplique.h"
#define BS_INCR 16

typedef struct _BigString
{
	unsigned int used;
	unsigned int size;
	char * string;
} BigString;

BigString *
create_BigString();

void
reset_BigString(BigString *b);

void
delete_BigString(BigString *b);

void
dissolve_BigString_in_string(BigString **b, char **s);

/* without reduplication */
char * 
string_from_BigString(BigString *b);

/* with reduplication. sort of strdup(b) */
char * 
extract_string_from_BigString(BigString *b);

void
add_to_BigString(BigString *b, char c);

void
append_to_BigString(BigString *b, char *s);

void
delete_last_from_BigString(BigString *b);

#endif
