/***************************************************************************\				   
		     tags attached to hieroglyphs
\***************************************************************************/

#ifndef _SIGNINFO_H
#define _SIGNINFO_H

/* 
   A SignAttribute is Information attached to a hieroglyph.
   Tags in the text widget sense are scheduled, but not yet.
   (and maybe at quadra level)
*/

typedef struct _SignAttribute {
  char * fgcolor;		/* sign color */
  char * bgcolor;		/* background color */
  char * tcl_var;		/* associated tcl variable */
} SigneAttribute ;



/*>>>>signinfo.c*/

/**
 * TKSESH_sign_set_fgcolor
 */

/**
 * TKSESH_sign_get_fgcolor
 */

/**
 * TKSESH_sign_unset_fgcolor
 */

/**
 * TKSESH_sign_set_bgcolor
 */

/**
 * TKSESH_sign_get_bgcolor
 */

/**
 * TKSESH_sign_unset_bgcolor
 */

/**
 * TKSESH_sign_set_variable
 */

/**
 * TKSESH_sign_get_variable
 */

/**
 * TKSESH_sign_unset_variable
 */


/*<<<<*/

#endif
/* Let's preserve the present presentation
 * Local Variables:
 * tab-width: 2
 * c-block-comments-indent-p: nil
 * End:
 */
