/**
 * test the bitmap library functionalities.
 * to compile : 
 * gcc testBM.c SimpleBitmap.c chaine.c /usr/local/TCL83/lib/libtcl8.3.so
 *
 * (or wherever your tcl lib is).
 */

#include "XPoint.h"
#include "SimpleBitmap.h"


int
main(int argc, char **argv)
{
  FILE * f;
  XPoint pol[] = {{100, 100}, {110, 200}, {400, 40}, {150, 150}};
  SimpleBitmap *b= SimpleBitmap_init(600, 400);
  SimpleBitmap_iline(b, 0, 0, 600, 400, 1);
  SimpleBitmap_fillPolygon(b, 4, pol, 1);
  f= fopen("test.pbm", "w");
  SimpleBitmap_toPBMFile(f, b);
  fclose(f);
  exit(0);
}
