/***
    fordll.h --
    $Id: fordll.h,v 1.1.1.1 2002/04/16 13:55:00 rosmord Exp $
    Generic file to include when making DLLs main files.
    Should work on MAC, Unixes and Windows !
*/
    


#if defined(__WIN32__)
#   define WIN32_LEAN_AND_MEAN
#   include <windows.h>
#   undef WIN32_LEAN_AND_MEAN

/*
 * VC++ has an alternate entry point called DllMain, so we need to rename
 * our entry point.
 */

#   if defined(_MSC_VER)
#	define EXPORT(a,b) __declspec(dllexport) a b
#	define DllEntryPoint DllMain
#   else
#	if defined(__BORLANDC__)
#	    define EXPORT(a,b) a _export b
#	else
#	if defined(__MWERKS__)
#		define EXPORT(a,b) __declspec(dllexport) a b 
#	else
#	    define EXPORT(a,b) a b
#	endif
#   endif
#	endif
#else
#if defined(MAC_TCL)
#	define EXPORT(a,b) __declspec(export) a b
#else	
#   define EXPORT(a,b) a b
#endif
#endif

#ifdef __WIN32__
BOOL APIENTRY
DllEntryPoint(hInst, reason, reserved)
    HINSTANCE hInst;		/* Library instance handle. */
    DWORD reason;		/* Reason this function is being called. */
    LPVOID reserved;		/* Not used. */
{
	return TRUE;
}
#endif

/*
  #ifdef MAC_TCL
  #pragma export on
  int Tksesh_Init( Tcl_Interp *interp );
  #pragma export reset
  #endif
  __declspec(export) int a1(int x, double y);
*/

