#ifndef _GENERAL_H
#define _GENERAL_H

#ifndef PUBLIC
#define PUBLIC
#define GLOBALVAR
#define PRIVATE static
#endif

#if __STDC__
#define ANSI(x) x
#define TRAD(x)
#else
#define ANSI(x)
#define TRAD(x) x
#endif

#include <stddef.h>							/* NULL, size_t, and so on */

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

#define YY_NEVER_INTERACTIVE 1

#include <string.h>
#include <tcl.h>
#define ALLOUER(x) memset(Tcl_Alloc(x), 66, x*sizeof(char))
#define REALLOUER(x,y) Tcl_Realloc((char *)(x),(y))
#define LIBERE(x) Tcl_Free((char *)x)

#define NOUV(x) ((x*)ALLOUER(sizeof(x)))

#ifdef __MWERKS__
#include <types.h>
#include <stat.h>
#else
#include <sys/types.h>
#endif

/*
  #define ALLOUER(x) memset(malloc(x), 66, x*sizeof(char))
  #define REALLOUER(x,y) realloc((char *)(x),(y))
  #define LIBERE(x) free((char *)x)
*/

#ifdef MAC_TCL
#define F_OK 0
#endif

#endif
