/* Interface to PUBLIC fonctions in fonctions */

#ifndef _SESHAUX_H
#define _SESHAUX_H

#include "general.h"
#include "quadra.h"
#include  "mdctexte.h"


/*>>>>sesh.y */

/**
 *
 */

PUBLIC Texte *
sesh_parse_array(char *array);

/**
	Used for error messages
 */

PUBLIC void 
sesherror(char *s);

/*<<<<*/

#include "mdccoord.h"

/*>>>>seshl.l */

/**
  prepare to read string
  in a parser
 */

PUBLIC void
init_array_read(char *s);

/**
* sets the current coordinate system
*/

PUBLIC void
sesh_set_coordinate_system(Coordinate_System *c);

/**
 * Initialisation
 */

PUBLIC void 
SESH_init_seshlex();

/*<<<<*/

#endif /* ifndef _SESHAUX_H */


