/*
	 calculation with fixed point numbers.
*/
#ifndef SESH_FIXED_H
#define SESH_FIXED_H

#if 0
typedef long int SESHfixed;

#define FIXED_FRACSIZE (unsigned)8
#define DFIXED_FRACSIZE (1 << FIXED_FRACSIZE)

#define DOUBLE_TO_FIXED(x) ((SESHfixed)((double)(x)* DFIXED_FRACSIZE))
#define FIXED_TO_DOUBLE(x) (((double)x)/ DFIXED_FRACSIZE)
#define FIXED_TO_INT(x)    (x >> FIXED_FRACSIZE)
#define INT_TO_FIXED(x)    (x << FIXED_FRACSIZE)

#define FIXED_TIMES(x,y)   ((x * y) >> FIXED_FRACSIZE)
#define FIXED_PLUS(x,y)    (x+y)
#define FIXED_MINUS(x,y)    (x-y)
#define FIXED_DIVIDE(x,y)  ((x << FIXED_FRACSIZE) / y)
#define FIXED_OPPOSE(x)    (-(x))
#else

/* typedef double SESHfixed; */
#define SESHfixed double

#define DOUBLE_TO_FIXED(x) (x)
#define FIXED_TO_DOUBLE(x) (((double)x))
#define FIXED_TO_INT(x)    ((int)x)
#define INT_TO_FIXED(x)    ((double)x)

#define FIXED_TIMES(x,y)   ((x)*(y))
#define FIXED_PLUS(x,y)    ((x)+(y))
#define FIXED_MINUS(x,y)    ((x)-(y))
#define FIXED_DIVIDE(x,y)  ((x)/(y))
#define FIXED_OPPOSE(x)    (-(x))

#endif
#endif

