#ifndef _SIGNS_H
#define _SIGNS_H

#include "general.h"
#include "quadra.h"


/*>>>>seshaux.c */

/**
 * PUBLIC union _Donnees 
 * seshtrouvesigne(char *x)
 * 
 * sends  back the data for a given sign
 */

PUBLIC union _Donnees 
seshtrouvesigne(char *x);

/* was the last seshtrouvesigne operation successfull ? */

extern int 
signe_trouve;

/**
  defines a new letter with code code
 */
PUBLIC void 
definit_lettre(char *code, Lettre *l);

/**
 * PUBLIC void 
 * initialise_lex()
 * 
 * should be called before using the parsing functions
 */

PUBLIC void 
initialise_lex();

/**
 * SESH_setLoadSignFunction --
 * Sets the function which is called when a sign is not found.
 * The function takes the sign code as parameter.
 */

PUBLIC void
SESH_setLoadSignFunction(void (*f)(char *));


/*<<<<*/
#endif
