#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union {
	Texte *un_texte;
	struct texte_liste {
		Texte * texte;
		Texte * last;
	} une_texte_liste;
	Quadra * un_quadra;
	Vertlist* une_vertlist;
	union _Donnees une_donnee;
	Signe un_signe;
	int un_entier;
	char * une_chaine;
	text_coords des_coordonnees;
	Typehachure une_hachure;			/* ancien systme */
	Hachures des_hachures;
	Typegroupe un_typegroupe;
	Typeseparateur un_separateur;
	struct _Signinlig *ligature;
	struct _Signe *signe;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	TEXTE	257
# define	DEBUTHIEROGS	258
# define	FINHIEROGS	259
# define	HIEROGLYPHE	260
# define	INCONNU	261
# define	POINT	262
# define	POINTPOINT	263
# define	KERNING	264
# define	DEBUTCONSTRUCTION	265
# define	CARTF	266
# define	DIEZE	267
# define	ROMAIN	268
# define	GAUCHEDROITE	269
# define	DROITEGAUCHE	270
# define	LEFTRIGHT	271
# define	RIGHTLEFT	272
# define	INTERNALSPACE	273
# define	HACHUREG	274
# define	HACHUREV	275
# define	HACHUREH	276
# define	HACHURET	277
# define	HACHURES	278
# define	OVERWRITE	279
# define	SIZE	280
# define	ROTATION	281
# define	NROTATION	282
# define	REVERT	283
# define	IGNORE	284
# define	LONGSIGN	285
# define	WIDECADRAT	286
# define	TEXTESUPER	287
# define	POINTROUGE	288
# define	POINTNOIR	289
# define	RED	290
# define	BLACK	291
# define	HAPLOGRAPHIE	292
# define	LACUNE	293
# define	LIGNELACUNE	294
# define	DSTSUPERFETATOIRE	295
# define	FSTSUPERFETATOIRE	296
# define	DSTEFFACE	297
# define	FSTEFFACE	298
# define	DSTDISPARU	299
# define	FSTDISPARU	300
# define	DSTRAJOUTSCRIBE	301
# define	FSTRAJOUTSCRIBE	302
# define	DSTRAJOUTAUTEUR	303
# define	FSTRAJOUTAUTEUR	304
# define	SEPARATEUR	305
# define	FINMOT	306
# define	GRAMMAIRE	307
# define	FIN_LIGNE	308
# define	FIN_PAGE	309
# define	SAUT_LIGNES	310
# define	SAUT_PAGES	311
# define	FIXE_LIGNE	312
# define	LIGNE_COMMENTAIRE	313


extern YYSTYPE seshlval;

#endif /* not BISON_Y_TAB_H */
