
package provide seshDico 0.0	;# This uses Tcl namespaces
package require stooop
package require seshuser

package require TkseshDB

class NoteDAL {
    set (dataSource) 0
    
    proc NoteDAL {this} {
    }

    proc ~NoteDAL {this} {
    }

    proc getDataSource {} {
	if {$(dataSource) == 0} {
	    set db [TkseshDB::getTkseshDB]
	    set sql {
		select tag, lookup, value, ref, uid, mid 
		from tmpDicoIdx , Header
		where tag = 'TITLE' 
		and Header.repOid= ref
		and Header.type = 'TmpDico'
		order by lookup
	    }
	    
	    set (dataSource) \
		[TkseshDB::buildDataSource $db $sql]
	    
	    DataSource::declareColumns $(dataSource) {tag t lookup t value t ref i uid i mid i}
	    DataSource::setDeletableTest $(dataSource) ::NoteDAL::testDelete

	    
	    DataSource::setDeleteRequest $(dataSource) \
		{delete from TmpDicoView where repOid = :ref:}
	}
	PRIVRefreshDataSource
	return $(dataSource)
    }

    proc testDelete {ds} {
	if {[DataSource::getCol $ds "uid"] == [seshuser::getUID] &&
	    [DataSource::getCol $ds "mid"] == [seshuser::getMID]
	} {
	    return 1
	}
	return 0
    }

    proc PRIVRefreshDataSource {} {
	if {$(dataSource) != 0} {
	    DataSource::refresh $(dataSource)
	}
    }
    
    proc getOIDForID {idx} {
	set d [getDataSource]
	return [DataSource::getColIdx $d $idx "ref"]
    }

}