#!/bin/tclsh

# Script to transform all bzr files here in type1 files.

lappend auto_path [file join ..]

package require Sbzr
package require BzrToType1

foreach f [glob *.bzr] {
    puts "processing $f"
    set l [sbzr_loadfont $f]
    set name [file rootname [file tail $f]]
    set out [open "Hiero$name.pfa" w]
    puts $out [BzrToType1::bzrToType1 $l "Hiero$name"]
    close $out
    set out [open "Hiero$name.afm" w]
    puts $out [BzrToType1::bzrToAFM $l "Hiero$name"]
    close $out
}
