# legendes.tcl --
#
#        multilingual mecanism for tksesh.
#
# Copyright (c) 1998 Serge Rosmorduc
#

package provide legendes 0.0


namespace eval legendes {
    variable caption

    namespace export trans listlanguages
    namespace export setfrench setenglish setfranais

    proc listlanguages {} {
	return {english franais french}
    }
    
    proc setenglish {} {
	variable caption
	array set caption {}
    }

    proc setfranais {} {
	setfrench
    }

    proc setfrench {} {
	variable caption
	array set caption {
	    "(Author :"
	    "(Auteur :"
	    ".Late Egyptian"
	    ".No  gyptien"
	    ".New Kingdom"
	    ".Nouvel Empire"
	    ".Old Kingdom"
	    ".Ancien Empire"
	    ".abbrev"
	    ".abbrev"
	    ".later"
	    ".tardivement"
	    ".var"
	    ".var"
	    "<Late Egyptian>"
	    "<No gyptien>"
	    "<Later value>"
	    "<valeur  plus tardive>"
	    "<WORD>"
	    "<MOT>"
	    "<New Kingdom>"
	    "<Nouvel Empire>"
	    "<Old Kingdom>"
	    "<Ancien Empire>"
	    "<Someone"
	    "<Qqun"
	    "<Someone>"
	    "<Qqun>"
	    "<Something"
	    "<Qque chose"
	    "<Something>"
	    "<Qque chose>"
	    "<Variant>"
	    "<Variante>"
	    "<abbreviation>"
	    "<abbrviation>"
	    "<word"
	    "<mot"
	    "About"
	    " propos de TKSESH"
	    "Agriculture, crafts, and professions"
	    "Agriculture, artisanat, et professions"
	    "Amphibious animals, reptiles, etc."
	    "Amphibiens animaux, reptiles, etc."
	    "Anthropomorphic Deities"
	    "Divinits Anthropomorphes"
	    "Beware"
	    "Attention"
	    "Birds"
	    "Oiseaux"
	    "Black group"
	    "Groupe noir"
	    "Buildings, parts of buildings, etc."
	    "Btiments, parties de btiments, etc."
	    "Cancel"
	    "Annule"
	    "Card"
	    "Fiche"
	    "Cartouche"
	    "Cartouche"
	    "Clear"
	    "Efface"
	    "Close"
	    "Ferme"
	    "Coptic text"
	    "texte Copte"
	    "Copy"
	    "Copier"
	    "Copy reference"
	    "Copier rfrence"
	    "Crowns, Dress, Staves, etc."
	    "Couronnes, vtements, btons, etc."
	    "Cut"
	    "Couper"
	    "Delete selected group"
	    "Dtruire le groupe slectionn"
	    "Dictionary"
	    "Dictionnaire"
	    "Dictionary loading..."
	    "Chargement du dictionnaire..."
	    "Domain and type of uses"
	    "Domaine et types d'usage"
	    "Domestic and funerary furniture"
	    "Mobilier funraire et domestique"
	    "Edit"
	    "diter"
	    "Edit comment"
	    "diter un commentaire"
	    "Edit coordinates system"
	    "diter le systme de coordonnes"
	    "Edit preferences"
	    "diter les prfrences"
	    "Exact search"
	    "Recherche exacte"
	    "Example"
	    "Exemple"
	    "Explode group"
	    "Faire clater le groupe"
	    "Export file"
	    "Exporter un fichier"
	    "Expression"
	    "Expression"
	    "Find"
	    "Trouver"
	    "Find a word"
	    "Trouver un mot"
	    "Find word in text"
	    "Trouver un mot dans le texte"
	    "File"
	    "Fichier"
	    "Fishes and parts of fishes"
	    "Poissons et parties de poissons"
	    "Free text comment"
	    "Commentaire en texte libre"
	    "Glossary"
	    "Glossaire"
	    "Group"
	    "Grouper"
	    "Group horizontally"
	    "Grouper horizontalement"
	    "Group vertically"
	    "Grouper verticalement"
	    "Hatchure"
	    "Hachure"
	    "Hide words"
	    "Cacher les mots"
	    "Hieroglyphic Text"
	    "Texte hiroglyphique"
	    "Hieroglyphs"
	    "Hiroglyphes"
	    "Import File"
	    "Importer un fichier"
	    "Invertebrata and lesser animals"
	    "Invertbrs et animaux mineurs"
	    "Load"
	    "Charger"
	    "Load from base"
	    "Charger depuis la base"
	    "Load in private dictionary"
	    "Charger dans le dictionnaire personnel"
	    "Load in public dictionary"
	    "Charger dans le dictionnaire commun"
	    "Loaves and cakes"
	    "Pains et gteaux"
	    "Mammals"
	    "Mammifres"
	    "Man and his occupations"
	    "L'Homme et ses activits"
	    "New"
	    "Nouveau"
	    "New Text"
	    "Nouveau texte"
	    "Ok"
	    "Oui"
	    "Options"
	    "Options"
	    "Parts of Birds"
	    "Parties d'oiseaux"
	    "Parts of Mammals"
	    "Parties de mammifres"
	    "Parts of the human body"
	    "Parties du corps humain"
	    "Paste"
	    "Coller"
	    "Please enter your name, email, and ID below. \nTo get an ID and a password, please mail \n rosmord@iut.univ-paris8.fr. To try tksesh without ID, enter ID 1234567890"
	    "Veuillez entrer votre nom, votre adresse lectronique,\n et votre numro personnel ci-dessous.\n Pour obtenir un numro personnel et un mot de passe,\n envoyez un courrier   rosmord@iut.univ-paris8.fr.\n Pour utiliser Tksesh sans avoir d'ID, entrez 1234567890"
	    "Possible determinative for a word"
	    "dterminatifs possibles pour un mot"
	    "Red group"
	    "Groupe rouge"
	    "Restauration"
	    "Restitution"
	    "Rope, Fibre, baskets, bags, etc."
	    "Cordes, fibres, paniers, sacs, etc."
	    "Save"
	    "Sauver"
	    "Save in base"
	    "Sauver dans la base"
	    "Select current group"
	    "Slectionner le groupe courant"
	    "Ships and parts of ships"
	    "Bateaux et parties de bateaux"
	    "Show words"
	    "Montrer les mots"
	    "Signature"
	    "Signature"
	    "Signs"
	    "Signes"
	    "Sky, earth, water"
	    "Ciel, Terre, eau"
	    "Strokes"
	    "Traits"
	    "Temple furniture and sacred emblems"
	    "Mobilier de temples et emblmes sacrs"
	    "Text"
	    "Texte"
	    "Text in transliteration"
	    "Texte en translittration"
	    "Text reference"
	    "Rfrence  un texte"
	    "Translation editor"
	    "diteur de traductions"
	    "Translation editor (Beware, just a model !)"
	    "diteur de traductions (Attention, maquette temporaire!)"
	    "Transliterate whole text"
	    "Translitre un texte entier"
	    "Transliteration"
	    "Translittration"
	    "Transliteration of a word"
	    "Translittration d'un mot"
	    "Trees and plants"
	    "Arbres et plantes"
	    "Unclassified"
	    "Non class"
	    "User ID"
	    "ID d'utilisateur"
	    "User Name"
	    "Nom d'utilisateur"
	    "language"
	    "langue"
	    "Utils"
	    "Utilitaires"
	    "Vessels of stone and earthenware"
	    "Plats de pierres et cramiques"
	    "Warfare, hunting, butchery"
	    "Guerre, chasse, boucherie"
	    "Woman and her occupations"
	    "La femme et ses activits"
	    "Writings, games, music"
	    "criture, jeux, musique"
	    "\ncomment : "
	    "\ncommentaire : "
	    "\ntranslation : "
	    "\ntraduction : "
	    "cancel"
	    "annule"
	    "coord"
	    "coord"
	    "copy selected group"
	    "copier le groupe slectionn"
	    "A function received an unexpected argument: %s. This is a bug, please report"
	    "A function received an unexpected argument: %s. This is a bug, please report"
	    "You can't insert %s here"
	    "Vous ne  pouvez insrer %s ici"
	    "document reference"
	    "Rfrence  un document"
	    "email"
	    "email"
	    "error"
	    "erreur"
	    "example : "
	    "exemple : "
	    "expr : "
	    "expr : "
	    "format"
	    "format"
	    "grammar"
	    "grammaire"
	    "hieroglyphic word editor"
	    "diteur de mot en hiroglyphes"
	    "new page"
	    "Nouvelle page"
	    "ok"
	    "ok"
	    "Quit"
	    "Quitter"
	    "set system"
	    "Fixer le  systme"
	    "texts directory"
	    "rpertoires des textes"
	    "the text you want to save should have a name"
	    "Le texte que vous voulez sauver devrait avoir un nom"
	    "translation"
	    "traduction"
	    "transliterate"
	    "translitre"
	    "transliterate the line"
	    "translitre la ligne"
	    "values"
	    "valeurs"
	    "written form of a word"
	    "forme crite d'un mot"
	    "MDC file"
	    "fichier MDC"
	    "Transliteration file"
	    "fichier de translittration"
	    "Translation file"
	    "fichier de traduction"
	    "Any"
	    "Tous"
	    "Browse"
	    "Parcourir"
	    "Transliteration"
	    "Translittration"
	    "Hieroglyphic text"
	    "Texte hiroglyphique"
	    "Translation"
	    "Traduction"
	    "Misc"
	    "Divers"	    
	    "Open dictionary"
	    "Ouvrir dictionnaire"
	    "Line"
	    "Ligne"
	    "Size"
	    "Dimension"
	    "Sign Modifiers"
	    "Modification "
	    "Revert"
	    "Inversion"
	    "Toggle word ending"
	    "Fin de mot"
	    "Toggle grammatical ending"
	    "Fin grammaticale"
	    "Latin Text"
	    "Texte latin"
	    "Insert coordinates"
	    "Insrer les coordonnes"
	    "Line  number"
	    "Numro de ligne"
	    "Name of the text in the database\n\"nn rn=f\" stands for \"no name\""
	    "Nom du texte dans la base de donnes\n\"nn rn=f\" sera mis pour \"sans nom\""
	    "Enter below the coordinate of the current point :\n"
	    "Entrer ci-dessous la coordonne du point courant :\n"
	    "Page"
	    "Page"
	    "Possible values for this coordinate\nyou can enter NUM for numeric,\n or a list of string values\nSee year 400 Stela for an example"
	    "Valeurs possibles pour cette coordonne.\n NUM pour une coordonne numrique\n(par ex. numro de ligne),\net une liste de chanes de caractres\npour des coordonnes textuelles.\nVoir la stle de l'an 400 pour un exemple."
	    "Format for the text coordinates\nin the current text\n\$1 means the first coordinate, and so on.\nHence \$2, \$1 means \"page number, then line number\""
	    "Format pour les coordonnes textuelles\ndans le texte courant\n\$1 signifie la premire coordonne (la ligne),\n et ainsi de suite.\nDonc \$2, \$1 correspond  \"numro de page, numro de ligne\""
	    "Reload user defined signs"
	    "Relire les signes dfinis par l'utilisateur"
	    "Export personal dictionary"
	    "Exporter le dictionnaire personnel"
	    "Find hilighted word in dictionnary"
	    "Trouver le mot slectionn dans le dictionnaire"
	    "Save as HTML file"
	    "Sauver en fichier HTML"
	    "Save as LaTeX file"
	    "Sauver en fichier LaTeX"
	    "Edit a note"
	    "diter une note"
	    "Type here the beginning\n of the word you search"
	    "Entrez ici le dbut\ndu mot que vous cherchez"
	    "Paragraph"
	    "Paragraphe"
	    "Show text information"
	    "Informations sur le texte"
	    "Hide text information"
	    "Cacher les informations sur le texte"
	    "NOT IMPLEMENTED YET !\nIt should allow you to search for partial matches\nin the dictionary"
	    "PAS ENCORE EN APPLICATION !\nil devrait vous permettre des recherches partielles\ndans le dictionnaire"
	    "Set"
	    "Placer"
	    "note title"
	    "Titre de la note"
	    "section title"
	    "Section de titre"
	    "Section of text"
	    "Section de texte"
	   "edited by: "
	    "saisi par : "
	    "Exact search"
	    "Reconnaissance exacte"
	}
    }
	
    proc trans {v args} {
	variable caption
	if [info exists caption($v)] {
	    set txt $caption($v)
	} else {
	    set txt $v
	}
	return [eval format [list $txt] $args]
    }
}
