package require dom
package require domtext

set txt {
<grp> 
    <mtri> i </mtri>
    <wri> i </wri>
    <com> semi-vowel with two values i and A ; often 
    omitted in grammatical endings, 
    tends to replace  <hie>A</hie> or <hie>r</hie> <aref>GEG par. 20</aref>
    As immutable consonant in some vbs.  <aref> GEG par. 270, Obs.</aref>  ; 
    initial, omitted in some derivatives,  <aref> GEG par. 290</aref>  ;
    prothetic  <aref> GEG par. 272</aref>  see too y
</com>
</grp>
}

set doc [dom::parse $txt]

puts $doc
domtext .t 
.t configure -showtag "tab" -rootnode $doc -elementbgcolorlist {red green blue yellow}

button .b -command {puts [dom::serialize $doc]}
pack .t
pack .b